.sidebar-mini .main-panel {
  width: calc(100% - 55px) !important;
}
.sidebar-mini .wrapper.sidbawrapper .main-panel {
  width: 100%!important;
}
.sidebar {
  width: 55px !important;
}
.profile div#submenuU1 {
  position: relative;
  top: -5px;
}
.wrapper {
  position: relative;
  top: 0;
  height: 100vh;
  overflow-y: auto;
  .sidebar {
    .sidebar-nav li div li a svg-icon {
      padding: 0 0 0 10px;
      position: relative;
      left: -13px;
      bottom: -4px;
    }
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 2;
    width: 300px;
    background-color: #2f3b54;
    -webkit-box-shadow: 14px 0px 26px 0px rgba(0, 0, 0, 0.08);
    box-shadow: 14px 0px 26px 0px rgba(0, 0, 0, 0.08);
    .logo {
      padding: 0px 15px 0px 0px;
      margin: 0;
      height: 50px;
      position: relative;
      z-index: 1;
      a.logo-normal {
        @extend .animation-transition-general;
        text-align: center;
        display: block;
        img {
          width: 185px;
          height: 50px;
        }
      }
    }
    .sidebar-wrapper {
      position: relative;
      height: calc(100vh - 75px);
      overflow: auto;
      width: 300px;
      z-index: 4;
      // padding-top: 50px;
      padding-top: 0px;

      top: 5px;
      overflow: visible;
      display: flex;
      flex-flow: column;
    }
    .space {
      flex: 1 1 auto;
    }
    .bottom-sidebar-wrapper {
      .bottom-sidebar-nav {
        width: fit-content !important;
        display: block;
        padding-left: 0 !important;
        margin-bottom: 0 !important;
        .messanges {
          margin-bottom: 10px;
          a {
            margin-left: -2px;
          }
        }
        .nav-link.profile_picture {
          padding: 0 0 0 0;
          margin-left: -5px;
        }
        .nav-link {
          padding: 0.5rem 12px;
        }
      }
      .divider {
        border-top: 1px solid #4a5165;
        width: 70px;
        height: 2px;
      }
    }
    .sidebar-nav {
      color: white;
      width: fit-content !important;
      display: block;
      padding-left: 0 !important;
      margin-bottom: 0 !important;
      .nav-item-hover {
        width: max-content !important;
        background-color: #111724;
        li {
          max-height: unset;
          a {
            min-width: 70px !important;
          }
        }
        div.collapse,
        div.collapsing {
          position: absolute;
          left: 70px;
          transform: translate(0px, -60px);
          background-color: rgb(17, 23, 36);
          width: fit-content;
          width: 250px !important;
          p {
            opacity: 1 !important;
            width: fit-content;
            padding-left: 25px;
            height: unset !important;
          }
          a,
          ul {
            width: 250px;
          }
          a.collapsed {
            .faChevronDown {
              opacity: 1 !important;
              display: block !important;
            }
            .faChevronUp {
              opacity: 0 !important;
              display: none !important;
            }
          }
          a:not(.collapsed) {
            .faChevronDown {
              opacity: 0 !important;
              display: none !important;
            }
            .faChevronUp {
              opacity: 1 !important;
              display: block !important;
            }
          }
        }
      }
      .sub-menu {
        position: absolute !important;
        transform: translate(0, -40px) !important;
        width: unset !important;
        left: 100% !important;
      }
      li {
        border: 0;
        display: block;
        padding: 0;
        width: max-content;
        max-height: 49px;
        .divider {
          border-top: 1px solid #4a5165;
          width: 70px;
        }
        a {
          min-width: 70px;
          margin: 0;
          padding: 10px 0 10px 20px;
          color: white;
          text-transform: capitalize;
          display: flex;
          flex-grow: 1;
          align-items: stretch;
          p {
            width: 0;
            margin: 0;
            line-height: 30px;
            font-size: 16px;
            font-weight: 600;
            display: block;
            text-align: left;
            color: white;
            height: 40px;
          }
          .progress-ring {
            circle {
              fill: transparent;
              stroke: white;
            }
          }

          svg-icon {
            height: 20px;
            path {
              fill: white;
            }
            circle {
              fill: white;
            }
            rect {
              fill: white;
            }
            line {
              fill: white;
            }
            svg {
              width: 30px !important;
              height: 30px !important;
            }
          }
          fa-icon {
            font-size: 24px;
            margin-right: 30px;
            line-height: 24px;
            width: 30px;
            text-align: center;
            color: #e6e7f0;
            &.faChevron {
              position: absolute;
              right: 0;
              font-size: 14px;
              // margin-right: 10px;
            }
            &.faChevronDown {
              display: none;
            }
          }
          &.collapsed {
            .faChevronUp {
              display: none;
            }
            .faChevronDown {
              display: block;
            }
          }
          &:hover,
          &.active,
          &[aria-expanded='true'] {
            svg-icon {
              path {
                fill: #5793ce;
              }
              circle {
                fill: #5793ce;
              }
              rect {
                fill: #5793ce;
              }
              line {
                fill: #5793ce;
              }
            }

            .progress-ring {
              width: 13px;
              circle {
                fill: transparent;
                stroke: #5793ce;
              }
            }
            p,
            fa-icon {
              color: #5870a0 !important;
            }
          }

          .nav-link-title {
            opacity: 1 !important;
            padding-left: 55px;
            width: fit-content;
            color: white !important;
          }
        }
        div {
          li {
            a {
              padding: 10px 0 10px 20px;
              p {
                line-height: 15px;
                font-size: 15px;
                font-weight: 400;
                color: white;
              }
              fa-icon {
                font-size: 10px;
                margin-right: 5px;
                line-height: 10px;
                color: white;
              }
              svg-icon {
                padding: 0 0 0 10px;
              }
            }
          }
        }
        &:first-child > a {
          border: 0;
        }
        &.active > [data-toggle='collapse'] {
          i {
            color: #a9afbb;
          }
        }
        &.active > a,
        &.active > a i {
          color: $white-color;
        }
        &.separator {
          margin: 15px 0;
          &:after {
            width: calc(100% - 30px);
            content: '';
            position: absolute;
            height: 1px;
            left: 15px;
            background-color: rgba(180, 180, 180, 0.3);
          }
          & + li {
            margin-top: 31px;
          }
        }
      }
      &.active {
        p {
          color: #e6e7f0;
        }
        fa-icon {
          color: #a9afbb;
        }
      }
      .small-menu-child {
        a {
          padding: 10px 0 10px 0px !important;
        }
        p {
          font-size: 13px !important;
        }
      }
    }
  }
  .main-panel {
    position: relative;
    float: right;
    width: $sidebar-width;
    transition: (0.33s, cubic-bezier(0.685, 0.0473, 0.346, 1));
    .main-content {
      margin-top: 70px;
      padding: 30px 15px;
      min-height: calc(100vh - 123px);
    }
    .footer {
      border-top: 1px solid #e7e7e7;
    }
    .sidebar-navbar {
      margin-bottom: 0;
    }
    .header {
      margin-bottom: 30px;
      .title {
        margin-top: 10px;
        margin-bottom: 10px;
      }
    }
  }
}

.sidebar,
.main-panel,
.sidebar-wrapper {
  -webkit-transition-property: top, bottom, width;
  transition-property: top, bottom, width;
  -webkit-transition-duration: 0.2s, 0.2s, 0.35s;
  transition-duration: 0.2s, 0.2s, 0.35s;
  -webkit-transition-timing-function: linear, linear, ease;
  transition-timing-function: linear, linear, ease;
  -webkit-overflow-scrolling: touch;
}

.visible-on-sidebar-regular {
  display: inline-block !important;
}

.visible-on-sidebar-mini {
  display: none !important;
}

.sidebar-mini {
  .visible-on-sidebar-regular {
    display: none !important;
  }
  .visible-on-sidebar-mini {
    display: inline-block !important;
  }
  .sidebar,
  .sidebar .sidebar-wrapper {
    width: 70px;
    li {
      a {
        fa-icon {
          &.faChevron {
            display: none !important;
          }
        }
      }
      div {
        // padding-left: 10px !important;
        li {
          a {
            padding-left: 10px !important;
          }
        }
      }
    }
  }
  .main-panel {
    width: $sidebar-mini-width;
  }
  .sidebar {
    display: block;
    font-weight: 200;
    // z-index: 999;
    z-index: 9999;
    .logo {
      a.logo-normal {
        img {
          width: 60px;
          height: 60px;
        }
      }
    }
    .sidebar-wrapper {
      > .sidebar-nav [data-toggle='collapse'] ~ div > ul > li > a .sidebar-normal,
      .user .user-info [data-toggle='collapse'] ~ div > ul > li > a .sidebar-normal,
      .user .user-info > a > span,
      > .sidebar-nav li > a p {
        @include transform-translate-x(-25px);
        opacity: 0;
        overflow: hidden;
      }
    }
  }
}

// ************************************************************                  **********************************************************************
// ************************************************************                  **********************************************************************
// ************************************************************   Responsivity   **********************************************************************
// ************************************************************                  **********************************************************************
// ************************************************************                  **********************************************************************

// xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx   Height   xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
@media screen and (min-height: 800px) {
  .sidebar-mini .main-panel {
    width: calc(100% - 55px);
  }
  .wrapper {
    .sidebar {
      width: 55px;
      .logo {
        img {
          width: 47px !important;
          height: 60px !important;
        }
      }

      .sidebar-wrapper {
        width: 60px;
        padding-top: 0px;
        .sidebar-nav {
          .divider {
            width: 55px;
          }
          .nav-link {
            padding: 5px 0 5px 15px;
            svg-icon {
              svg {
                width: 25px !important;
                height: 25px !important;
              }
            }
            p {
              height: 30px !important;
            }
          }
          li {
            width: 55px;
            margin-left: 0px !important;
            a {
              min-width: 55px;
            }
          }

          .nav-item-hover {
            div.collapsing,
            div.collapse {
              left: 55px;
              // margin-top: -5px;

              transform: translate(0px, -40px);
              width: 250px !important;
              .sub-menu {
                transform: translate(0, -40px) !important;
                p {
                  height: unset !important;
                }
              }
            }
          }
        }
      }
      .bottom-sidebar-wrapper {
        .bottom-sidebar-nav {
          .divider {
            width: 55px;
          }
          .nav-link {
            padding: 5px 0 5px 2px;
            .notification_bell {
              svg-icon {
                svg {
                  width: 30px !important;
                  height: 25px !important;
                }
              }
            }
            .message_icon {
              svg-icon {
                svg {
                  width: 29px !important;
                  height: 20px !important;
                }
              }
            }
          }
          .nav-link.profile_picture {
            text-align: center;
            svg-icon {
              svg {
                height: 37px !important;
                width: 40px !important;
              }
            }
          }
        }
      }
    }
  }
}
@media screen and (max-height: 800px) {
  .sidebar-mini .main-panel {
    width: calc(100% - 55px);
  }
  .wrapper {
    .sidebar {
      width: 55px;
      .logo {
        img {
          width: 47px !important;
          height: 60px !important;
        }
      }

      .sidebar-wrapper {
        width: 60px;
        padding-top: 0px;
        .sidebar-nav {
          .divider {
            width: 55px;
          }
          .nav-link {
            padding: 5px 0 5px 15px;
            svg-icon {
              svg {
                width: 25px !important;
                height: 25px !important;
              }
            }
            p {
              height: 30px !important;
            }
          }
          li {
            width: max-content;
            margin-left: 0 !important;
            a {
              min-width: 55px;
            }
          }

          .nav-item-hover {
            div.collapsing,
            div.collapse {
              left: 55px;
              // margin-top: -6px;
              transform: translate(0px, -40px);
              width: 250px !important;

              .sub-menu {
                transform: translate(0, -40px) !important;
                p {
                  height: unset !important;
                }
              }
            }
          }
        }
      }
      .bottom-sidebar-wrapper {
        .bottom-sidebar-nav {
          .divider {
            width: 55px;
          }
          .nav-link {
            padding: 5px 0 5px 2px;
            .notification_bell {
              svg-icon {
                svg {
                  width: 30px !important;
                  height: 25px !important;
                }
              }
            }
            .message_icon {
              svg-icon {
                svg {
                  width: 29px !important;
                  height: 20px !important;
                }
              }
            }
          }
          .nav-link.profile_picture {
            text-align: center;
            svg-icon {
              svg {
                height: 37px !important;
                width: 40px !important;
              }
            }
          }
        }
      }
    }
  }
}

// ************************************************************                **********************************************************************
// ************************************************************                **********************************************************************
// ************************************************************   Animations   **********************************************************************
// ************************************************************                **********************************************************************
// ************************************************************                **********************************************************************

@media screen and (min-width: 991px) {
  .hide-sidebar {
    .sidebar {
      @include transition-all($general-transition-time, $transition-linear);
      @include transform-translate-x(-300px);
    }
    .main-panel {
      width: 100%;
    }
    &.sidebar-mini {
      .sidebar {
        @include transition-all($general-transition-time, $transition-linear);
        @include transform-translate-x(-80px);
      }
    }
  }
  .animation {
    @include transition-all($general-transition-time, $transition-linear);
  }
}

.sidebar a {
  @include transition-all($fast-transition-time, $transition-ease-in);
}

@keyframes logoWidth {
  0% {
    width: 150px;
  }
  100% {
    width: 60px;
  }
}

.btn-resize-side-bar {
  position: relative;
  right: -26px;
  top: -20px;
  // background-image: url(src/assets/img/bg-resize.png);
  height: 103px;
  width: 67px;
  border: 0;
  background-color: transparent;
}

::-webkit-scrollbar {
  width: 0.755em;
}

::-webkit-scrollbar-track {
  // -webkit-box-shadow: inset 0 0 6px rgba(255, 255, 255, 0.1);
  background-color: #2f3b54;
  border-radius: 8px;
}

::-webkit-scrollbar-thumb {
  border-radius: 8px;
  background-color: #4097a6;
  //   outline: 1px solid slategrey;
}

#configuration {
  margin-top: -1.27em !important;
}

.profile-pictures {
  width: 80%;
  border-radius: 50%;
  margin: auto;
  display: block;
  text-align: center;
}
.time-title {
  color: white;
  margin-left: 13px;
  font-size: 10px;
  // margin-top: 13px;
  margin-bottom: 1px;
}
.picture {
  width: 35px !important;
  height: 35px !important;
  border-radius: 50%;
  margin-left: -6px;
}

.button-nav-style {
  width: 150px;
  border: 1px solid black;
  margin-left: 30px;
}
.icon-button-center {
  font-size: 15px;
  vertical-align: middle;
}
.title-nav-style {
  background-color: white;
  width: 250px;
}

.deconnex:hover .dec_icon {
  width: 20%;
  content: url('/assets/icon-svg/dec-blanc.svg');
}

.dec_icon {
  width: 20%;
  content: url('/assets/icon-svg/dec.svg');
}

.Profile:hover .prof_icon {
  width: 20%;

  content: url('/assets/icon-svg/prof-blanc.svg');
}

@media (min-height: 800px) {
  .picture {
    width: 35px !important;
    height: 35px !important;
    border-radius: 50%;
    margin-left: -6px;
  }
  .collapseCard {
    width: 100%;
    margin-top: 0%;
  }
}
.prof_icon {
  width: 20%;
  content: url('/assets/icon-svg/prof.svg');
}
@media (max-height: 800px) {
  .collapseimg {
    margin-top: -16%;
  }

  .collapseCard {
    width: 100%;
    margin-top: -16%;
  }
}

.version {
  color: aliceblue;
  margin-left: 11px;
  font-size: 11px;
}

.SVG-disabld {
  opacity: 0.5;
  cursor: not-allowed;
  pointer-events: none;
}

::ng-deep.hover-disabled {
  background-color: #354360 !important;
  color: #6f798d !important;
  &:hover {
    background-color: #354360 !important;
    color: #6f798d !important;
  }
}
::ng-deep .font-disabled {
  color: #6f798d !important;
  &:hover {
    background-color: #354360 !important;
    color: #6f798d !important;
  }
}
::ng-deep .h-resource {
  height: 40px !important;
}
p {
  text-transform: none !important;
  height: 24px !important;
  line-height: 24px !important;
}

.mt-switch {
  margin-top: -38px !important;
}
